curl --request GET \
--url https://api.bridge.xyz/v0/customers/{customerID}/kyc_link \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/customers/{customerID}/kyc_link"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/customers/{customerID}/kyc_link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "https://bridge.withpersona.com/verify?inquiry-template-id=itmpl_NtIXpb9AbEYCPxGo5iRbc9d2&reference-id=75d2f259-6810-4cde-a9b9-83eca42b0ebf"
}Retrieve a hosted KYC Link for an existing customer
The page at the returned URL will guide the user through a Bridge KYC flow. This can be used by existing customers to provide additional KYC information required for certain features or services that Bridge offers.
For example, to enable an existing customer to use the SEPA/Euro services, they are required to provide proof of address. An additional parameter, endorsement=sepa, can be included to request a KYC link specifically for this purpose
Authorizations
Path Parameters
A UUID that uniquely identifies a resource
1 - 42[a-z0-9]*Query Parameters
An endorsement is the approval required for a customer to use a particular product or service offered by Bridge
sepa, spei, cards An optional url encoded link that users will be redirected to after completing the hosted KYC flow.
"http%3A%2F%2Fexample.com%2Fredirect"
Response
A Hosted URL for KYC
A hosted KYC link
Was this page helpful?